-- Datenbank erzeugen
CREATE DATABASE [NTierExample] ON PRIMARY 
GO
EXEC dbo.sp_dbcmptlevel @dbname=N'NTierExample', @new_cmptlevel=90
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [NTierExample].[dbo].[sp_fulltext_database] @action = 'disable'
end
GO
ALTER DATABASE [NTierExample] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [NTierExample] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [NTierExample] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [NTierExample] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [NTierExample] SET ARITHABORT OFF 
GO
ALTER DATABASE [NTierExample] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [NTierExample] SET AUTO_CREATE_STATISTICS ON 
GO
ALTER DATABASE [NTierExample] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [NTierExample] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [NTierExample] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [NTierExample] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [NTierExample] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [NTierExample] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [NTierExample] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [NTierExample] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [NTierExample] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [NTierExample] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [NTierExample] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [NTierExample] SET  READ_WRITE 
GO
ALTER DATABASE [NTierExample] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [NTierExample] SET  MULTI_USER 
GO
ALTER DATABASE [NTierExample] SET PAGE_VERIFY CHECKSUM  
GO
USE [NTierExample]
GO
IF NOT EXISTS (SELECT name FROM sys.filegroups WHERE is_default=1 AND name = N'PRIMARY') ALTER DATABASE [NTierExample] MODIFY FILEGROUP [PRIMARY] DEFAULT
GO
/****** Objekt:  Table [dbo].[Products]    Skriptdatum: 12/20/2007 23:09:11 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Products](
	[ProductID] [uniqueidentifier] NOT NULL,
	[NumericKey] [int] IDENTITY(1,1) NOT NULL,
	[ProductNumber] [nvarchar](30) NOT NULL,
	[ProductName] [nvarchar](200) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[UnitOfMeasure] [nvarchar](30) NOT NULL,
	[Price] [decimal](19, 4) NOT NULL,
	[CreatedOn] [datetime] NOT NULL,
	[CreatedBy] [nvarchar](100) NOT NULL,
	[ChangedOn] [datetime] NULL,
	[ChangedBy] [nvarchar](100) NULL,
 CONSTRAINT [PK_ProductID] PRIMARY KEY NONCLUSTERED 
(
	[ProductID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
CREATE UNIQUE CLUSTERED INDEX [IX_NumericKey] ON [dbo].[Products] 
(
	[NumericKey] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_ProductName] ON [dbo].[Products] ( [ProductName] ASC )WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
/****** Objekt:  Table [dbo].[Repositories]    Skriptdatum: 12/20/2007 23:50:26 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Repositories](
	[RepositoryID] [uniqueidentifier] NOT NULL,
	[NumericKey] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[Address1] [nvarchar](100) NOT NULL,
	[Address2] [nvarchar](100) NULL,
	[Address3] [nvarchar](100) NULL,
	[ZIP] [nchar](25) NULL,
	[City] [nvarchar](100) NOT NULL,
	[Country] [nvarchar](50) NULL,
	[Phone] [nvarchar](30) NULL,
	[CreatedBy] [nvarchar](100) NOT NULL,
	[CreatedOn] [datetime] NOT NULL,
	[ChangedBy] [nvarchar](100) NULL,
	[ChangedOn] [datetime] NULL,
 CONSTRAINT [PK_RepositoryID] PRIMARY KEY NONCLUSTERED 
(
	[RepositoryID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_ZIP] ON [dbo].[Repositories] ([ZIP] ASC )WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY] 
GO
CREATE CLUSTERED INDEX [IX_NumericKey] ON [dbo].[Repositories] ([NumericKey] ASC)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE UNIQUE NONCLUSTERED INDEX [IX_Name] ON [dbo].[Repositories] ([Name] ASC)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_Country] ON [dbo].[Repositories] ([Country] ASC)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_City] ON [dbo].[Repositories] ([City] ASC)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
/****** Objekt:  Table [dbo].[Stocks]    Skriptdatum: 12/20/2007 23:31:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Stocks](
	[StockID] [uniqueidentifier] NOT NULL,
	[NumericKey] [int] IDENTITY(1,1) NOT NULL,
	[ProductID] [uniqueidentifier] NOT NULL,
	[RepositoryID] [uniqueidentifier] NOT NULL,
	[ActualStock] [decimal](19, 4) NOT NULL,
	[EstimatedStock] [decimal](19, 4) NOT NULL,
	[ReorderPoint] [decimal](19, 4) NOT NULL,
	[BinLocation] [nchar](20) NULL,
	[CreatedBy] [nvarchar](100) NOT NULL,
	[CreatedOn] [datetime] NOT NULL,
	[ChangedBy] [nvarchar](100) NULL,
	[ChangedOn] [datetime] NULL,
 CONSTRAINT [PK_StockID] PRIMARY KEY NONCLUSTERED 
(
	[StockID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_RepositoryID_ProductID] ON [dbo].[Stocks] ([RepositoryID] ASC,[ProductID] ASC)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_RepositoryID] ON [dbo].[Stocks] ([RepositoryID] ASC)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_ProductID] ON [dbo].[Stocks] ([ProductID] ASC)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE UNIQUE CLUSTERED INDEX [IX_NumericKey] ON [dbo].[Stocks] ([NumericKey] ASC)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_BinLocation] ON [dbo].[Stocks] ([BinLocation] ASC)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
ALTER TABLE dbo.Stocks ADD CONSTRAINT
	FK_Stocks_Products FOREIGN KEY
	(
	ProductID
	) REFERENCES dbo.Products
	(
	ProductID
	) ON UPDATE  NO ACTION 
	 ON DELETE  NO ACTION 
	
GO
ALTER TABLE dbo.Stocks ADD CONSTRAINT
	FK_Stocks_Repositories FOREIGN KEY
	(
	RepositoryID
	) REFERENCES dbo.Repositories
	(
	RepositoryID
	) ON UPDATE  NO ACTION 
	 ON DELETE  NO ACTION 
	
GO