using System;
using System.Collections.Generic;
using System.Text;

namespace Rainbird.Examples.NTier.ArticleMaster.WindowsGUI
{
    /// <summary>
    /// Ereignisargumente fr produktbezogene Ereignisse.
    /// </summary>
    [Serializable]
    public class ProductEventArgs : EventArgs
    {
        // Produktschlssel
        private Guid _productID = Guid.Empty;

        /// <summary>
        /// Gibt den Produktschlssel zurck, oder legt ihn fest.
        /// </summary>
        public Guid ProductID
        {
            get { return _productID; }
            set { _productID = value; }
        }

        /// <summary>
        /// Standardkonstruktor.
        /// </summary>
        public ProductEventArgs() { }

        /// <summary>
        /// Konstruktor.
        /// </summary>
        /// <param name="productID">Produktschlssel</param>
        public ProductEventArgs(Guid productID)
        { 
            // Produktschlssel bernehmen
            _productID = productID;
        }
    }
}
