﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Globalization;
using Rainbird.AppServer.API;

namespace Rainbird.Examples.NTier.ClientApplication
{
    static class Program
    {
        /// <summary>
        /// Der Haupteinstiegspunkt für die Anwendung.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // LogonFail-Ereignis abonnieren
            ApplicationServer.LogonFail += new EventHandler<SessionEventArgs>(ApplicationServer_LogonFail);

            // URL zum Applikationsserver aus der Konfigurationsdatei holen
            string serverURL = Properties.Settings.Default.ServerUrl;

            // Anmelden
            ApplicationServer.Logon(serverURL);

            // Wenn die Anmeldung erfolgreich war ...
            if (ApplicationServer.HasSession)
            {
                // Windows-Design-Unterstützung aktivieren
                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);

                // Anwendungsfenster öffnen
                Application.Run(ApplicationForm.Instance);
            }
        }

        /// <summary>
        /// Wird aufgerufen, wenn die Anmeldung fehlschlägt.
        /// </summary>
        /// <param name="sender">Herkunftsobjekt</param>
        /// <param name="e">Ereignisargumente</param>
        static void ApplicationServer_LogonFail(object sender, SessionEventArgs e)
        {
            // Meldung anzeigen
            MessageBox.Show(e.Message);
        }
    }
}