using System;
using System.Collections.Generic;
using System.Text;

namespace Rainbird.Examples.NTier.Inventory.WindowsGUI
{
    /// <summary>
    /// Speichert Ergebnisse des Bestandsnderungsdialogs.
    /// </summary>
    [Serializable]
    public class ChangeStockDialogResult
    {
        // Abbruch-Schalter
        private bool _cancel = false;

        // Genderte Menge
        private decimal _quantity = 0m;

        // Bestandsschlssel
        private Guid _stockID = Guid.Empty;

        /// <summary>
        /// Konstruktor.
        /// </summary>
        /// <param name="stockID">Bestandsschlssel</param>
        public ChangeStockDialogResult(Guid stockID)
        { 
            // Bestandsschlssel festlegen
            _stockID = stockID;
        }

        /// <summary>
        /// Gibt den Abbruch-Schalter zurck oder legt ihn fest.
        /// </summary>
        public bool Cancel
        {
            get { return _cancel; }
            set { _cancel = value; }
        }

        /// <summary>
        /// Gibt den Bestanddschlssel zurck oder legt ihn fest.
        /// </summary>
        public Guid StockID
        {
            get { return _stockID; }
            set { _stockID = value; }
        }

        /// <summary>
        /// Gibt die genderte Menge zurck oder legt sie fest.
        /// </summary>
        public decimal Quantity
        {
            get { return _quantity; }
            set { _quantity = value; }
        }
    }
}
